import static java.lang.Integer.min;
import java.util.ArrayList;
import java.util.Scanner;

public class Nz {

    static boolean smaller(int a, int b) {
        String sa = Integer.toString(a);
        String sb = Integer.toString(b);
        for (int i = 0; i < min(sa.length(), sb.length()); i++) {
            if (sa.charAt(i) < sb.charAt(i)) {
                return true;
            }
            if (sa.charAt(i) > sb.charAt(i)) {
                return false;
            }
        }
        return true;
    }

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int k = sc.nextInt();
        ArrayList<Integer> nz = new ArrayList<>();
        for (int i = 0; i < n; i++) {
            nz.add(sc.nextInt());
        }

        

        if (k == 1) {
            int max = -1;
            int max_i = -1;
            for (int i = n - 1; i >= 0; i--) {
                if (smaller(max, nz.get(i))) {
                    max = nz.get(i);
                    max_i = i;
                }
            }
            nz.remove(max_i);
            for (int a:nz) {
                System.out.print(a+" ");
            }
        } else {
            
        }
    }

    
}